
/*

*****OAKLAND HEALTH DISPARITIES STUDY**** 

specifies the order of operations 
and function of each table and figure 

last updated: 7.12.19

author: MF/MA

*/

set more off 
clear all 
cap log close 
set scheme s2mono

*global drive "SET PERSONAL DRIVE FOLDER HERE"
*global codedrive "PERSONAL DRIVE FOLDER\1code"



**********
 *TABLES*
**********
 
*main tables 
	do "$codedrive\table1_selection.do" 
	*** selection of subjects in to clinic
	
	do "$codedrive\table2_balance.do" 
	*** balance table of doctor/incentive randomizations 

	do "$codedrive\table3_main.do" 
	*** pre, post, and delta take-up
	
	do "$codedrive\table4_Ftest.do" 
	*** invasive vs non-invasive F-tests 

	do "$codedrive\table5_altconcordance.do" 
	*** alternative concordance measures (age, education)

	do "$codedrive\table6_communication.do" 
	*** communication outcomes	
	
	do "$codedrive\table7_heterogeneity.do" 
	*** heterogeneity interactions
	
	do "$codedrive\table8_qualtrics.do" 
	*** black-white perceptions from qualtrics
	
*	do "$codedrive\table9_mdquality.do" 
	*** balance md chars and quality 

*	do "$codedrive\table10_doctorFE.do" 
	*** doctor fixed effects

	
	
***********
 *FIGURES*	
*********** 

*main figures
*	figure1: Sample counts
 
*	figure2: Screenshots of tablets	
 
	do "$codedrive\figure3_demand.do" 
	*** demand for each preventative, black vs. white doctor, ex-pre and ex-post (6 panels)
			
	do "$codedrive\figure4_persuasion.do" 
	*** Panel A: take-up by invasiveness, Panel B: Persuasion rates
			*NOTE: additional formatting done outside of stata. 
	
	do "$codedrive\figure5_qualtrics.do" 
	*** preference for concordance by question, qualtrics survey	
			*NOTE: additional formatting done outside of stata. 

	do "$codedrive\figure6_placebo.do" 
	*** permutation tests of black doctor effect on random samples
	
	do "$codedrive\figure7_values.do" 
	*** patient values by race of doctor
	
	do "$codedrive\figure8_health.do" 
	*** comparing screened sample health to US population

