/*
date: 4.29.2019

purpose: communication and satisfaction outcomes with black_dr * invasive interaction
		
input: "$drive\3output_data\oakland_analysis_final.dta"

output: "$drive\6tables\table6_communication.csv"

author: MF

*/


clear all
set more off 
cap log close 

log using "$drive\4log\table6_communication.smcl", replace

est clear
use "$drive\3output_data\oakland_analysis_final.dta", clear
	
	foreach y of varlist subject_talk dr_notes nonpreventive length_visit_dr rating yes_recommend  {

*1) Odd columns with no invasive interaction	
		reg `y' 		black_dr sl5 sl10 if tag == 1, cluster(doctor_id) 
			est store `y'_1	
			sum `y' if black_dr == 0
					estadd scalar control_mean = r(mean)		
			
*2) Even columns with invasive interaction					
		reg `y' 		bl_any_invasive black_dr any_invasive sl5 sl10 if tag == 1, cluster(doctor_id) 
			est store `y'_2
			sum `y' if black_dr == 0
					estadd scalar control_mean = r(mean)				
	}	

	esttab _all using "$drive\6tables\table6_communication.csv", drop(_cons sl5 sl10) stats(control_mean N) b(3) se nostar replace 

	log close
