/*
date: 4.29.2019

purpose: heterogeneity interactions
		
input: "$drive\3output_data\oakland_analysis_final.dta"

output: "$drive\6tables\table7_heterogeneity.csv"

author: MF

*/


clear
set more off 
cap log close 

log using "$drive\4log\table7_heterogeneity.smcl", replace

	est clear 	
	use "$drive\3output_data\oakland_analysis_final.dta", clear

	replace low_income = . if low_income < 0  
	replace HSless = . if HSless < 0  

	foreach var in low_income HSless millenial long_wait high_congest long_driv no_rec ER_2years med_mistrust {	
		reg delta_shr_invasive	bl_`var' `var' black_dr sl5 sl10 if tag == 1, cluster(doctor_id)
			est store ds_`var'
	}	
			
	esttab _all using "$drive\6tables\table7_heterogeneity.csv", ///
			    drop(sl5 sl10) se b(3) stats(control_mean N) nostar replace 		

	log close
		