/*
date: 4.29.2019

purpose: doctor preference qualtrics results 
		
input: 
1) "$drive\3output_data\qualtrics_clean.dta" - respondent data, wide by question
2) "$drive\3output_data\qualtrics_clean_long.dta" - stacked by respondent X question

output: "$drive\6tables\table8_qualtrics.csv"

author: MF

*/


clear
set more off 
cap log close 

log using "$drive\4log\table8_qualtrics.smcl", replace

est clear 

*Columns 1-2, 4-5, 7-8	
	use "$drive\3output_data\qualtrics_clean.dta", clear

	foreach var of varlist spec_dr_qualifiedQ spec_dr_understandQ spec_dr_avail_nearQ {
			reg	black_`var'			black_resp i.ageQ i.educ i.hh_incomeQ, r
				est store `var'_1
			sum black_`var' if black_resp == 0
				estadd scalar control_mean = r(mean)			
			reg white_`var'			white_resp i.ageQ i.educ i.hh_incomeQ, r
				est store `var'_2			
			sum white_`var' if white_resp == 0	
				estadd scalar control_mean = r(mean)			
	}
	
*Columns 3,6,9  
	use "$drive\3output_data\qualtrics_clean_long.dta", clear

	local qs	qualifiedQ understandQ avail_nearQ 
	foreach x of local qs {
		reg concordance			black_resp i.ageQ i.educ i.hh_incomeQ  if question == `"`x'"', r
			est store `x'_2
		sum concordance if black_resp == 0 & question == `"`x'"' 	
			estadd scalar control_mean = r(mean)			
	}
	
*Column 10	- stack data, cluster s.e. 
	reg concordance			black_resp  i.ageQ i.educ i.hh_incomeQ communication if question == "understandQ" | question == "qualifiedQ", cluster(id) 
		est store int_1			
	sum concordance if black_resp == 0 & communication == 0 & (question == "understandQ" | question == "qualifiedQ")	
		estadd scalar control_mean = r(mean)	
					
	esttab _all using "$drive\6tables\table8_qualtrics.csv", keep(black_resp white_resp communication) ///
				stats(control_mean r2 N) se b(3) nostar replace  	
		
log close	  	
